package de.intevation.artifactdatabase.state;


/**
 * The default implementation of a Facet.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class DefaultFacet implements Facet {

    /** The name of this facet.*/
    protected String name;

    /** The description of this facet.*/
    protected String description;


    /**
     * The default constructor to create new Facet objects.
     *
     * @param name The name of this new facet.
     * @param description The description of this new facet.
     */
    public DefaultFacet(String name, String description) {
        this.name        = name;
        this.description = description;
    }


    public String getName() {
        return name;
    }


    public String getDescription() {
        return description;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf-8 :
